Closed Bug 509071 Opened 11 years ago Closed 9 years ago

crashtest: intermittently leaks "the world"

Categories

(Core :: General, defect)

x86
All
defect
Not set

Tracking

()

RESOLVED WORKSFORME
Tracking Status
blocking2.0 --- final+
status1.9.2 --- ?
status1.9.1 --- ?

People

(Reporter: sgautherie, Unassigned)

References

Details

(Keywords: intermittent-failure, memory-leak, Whiteboard: [notacrash])

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1249651855.1249659529.30157.gz
WINNT 5.2 comm-1.9.1 unit test

TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 286176 bytes during test execution (threshold set at 484 bytes)
(In reply to comment #0)

Building on: cb-seamonkey-win32-02
Blocks: 438871, mlkTests
Summary: [SeaMonkey only?] crashtest: intermittently leaks "the world" → [SeaMonkey? Windows?] crashtest: intermittently leaks "the world"
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1252504228.1252510143.7757.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/09/09 06:50:28
Building on: cb-sea-win32-tbox
TEST-UNEXPECTED-FAIL | runtests-leaks | leaked 304866 bytes during test execution (threshold set at 484 bytes)
Linux mozilla-central test everythingelse
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252570951.1252573226.23542.gz
Summary: [SeaMonkey? Windows?] crashtest: intermittently leaks "the world" → crashtest: intermittently leaks "the world"
No longer blocks: SmTestFail
OS: Windows Server 2003 → All
Product: SeaMonkey → Core
QA Contact: general → general
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1254995694.1255004677.9038.gz
Linux comm-1.9.1 unit test on 2009/10/08 02:54:54
Building on: cb-sea-linux-tbox
Whiteboard: [orange] → [orange][notacrash]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258119842.1258122541.6114.gz
WINNT 5.2 mozilla-central test everythingelse on 2009/11/13 05:44:02  
"s: moz2-win32-slave37"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264472631.1264474286.11118.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/01/25 18:23:51
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265317339.1265320123.22299.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/02/04 13:02:19
s: win32-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265353454.1265354105.3968.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/02/04 23:04:14
s: win32-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265758546.1265759620.14636.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/02/09 15:35:46
s: win32-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267084755.1267089163.881.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/02/24 23:59:15
s: win32-slave36
blocking2.0: --- → ?
status1.9.1: --- → ?
status1.9.2: --- → ?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267243142.1267244055.8692.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/02/26 19:59:02
s: win32-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267514819.1267517731.27002.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/01 23:26:59
s: win32-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267664638.1267669800.12175.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/03 17:03:58
s: win32-slave35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267698457.1267700884.13563.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/04 02:27:37
s: win32-slave01
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268066000.1268069467.16713.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/08 08:33:20
s: win32-slave43

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268098046.1268100666.4913.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/08 17:27:26
s: win32-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268114135.1268116484.14802.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/08 21:55:35
s: win32-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268228596.1268231160.29950.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/10 05:43:16
s: win32-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268231909.1268235040.13060.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/10 06:38:29  
s: win32-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268516644.1268519196.12188.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/13 13:44:04
s: win32-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268773063.1268773893.2247.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/16 13:57:43
s: win32-slave34
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269088634.1269089366.28928.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/20 05:37:14  
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269369540.1269370402.12556.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/23 11:39:00
Piling on here based on the precedent of comment 7

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269407189.1269408937.18047.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/23 22:06:29  
s: moz2-darwin9-slave43
Note that this bug is on *crashtest* leaking "the world".  Comment 27 (and comment 7) are mochitest-chrome leaking the world, and they're manifestations of bug 538462. (based on platform=Mac and on test_unkownContentType_dialog_layout.xul appearing in the list of leaked URLs)
Thanks, sorry :(.  I was in too much of a hurry to land.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269446182.1269450089.16162.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/24 08:56:22
s: win32-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269667067.1269667776.9587.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/26 22:17:47
s: win32-slave34
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269857034.1269857758.29580.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/03/29 03:03:54
s: win32-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270180076.1270180687.11832.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/01 20:47:56
s: win32-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270251707.1270252514.24787.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/02 16:41:47
s: win32-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270274436.1270275105.8156.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/02 23:00:36
s: win32-slave32
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270589351.1270590242.15670.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/06 14:29:11
s: win32-slave34
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270633788.1270634512.12235.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/07 02:49:48
s: win32-slave37
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270665876.1270666540.26350.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/07 11:44:36
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270787426.1270788153.18381.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/08 21:30:26
s: win32-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271179192.1271179966.6062.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/13 10:19:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271292081.1271292779.30624.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/14 17:41:21
s: win32-slave30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271754344.1271755034.19054.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/20 02:05:44
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271858342.1271859039.18645.gz
WINNT 5.2 mozilla-central debug test crashtest [testfailed] Started 22:59, finished 23:11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272496677.1272497408.20692.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/28 16:17:57
s: win32-slave34
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 459579 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272601172.1272601889.18452.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/04/29 21:19:32
s: win32-slave17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272985900.1272986941.30708.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/04 08:11:40
s: win32-slave26
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 457719 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272997720.1272998802.2824.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/04 11:28:40
s: win32-slave30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273124763.1273125424.12575.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/05 22:46:03
s: win32-slave33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273527544.1273528173.1987.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/10 14:39:04
s: win32-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273793435.1273794121.15932.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/13 16:30:35
s: win32-slave39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273936976.1273937593.31111.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/15 08:22:56
s: win32-slave34
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 458395 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274400348.1274401071.20981.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/20 17:05:48
s: win32-slave05
I checked the last four logs and they all contain only one leaked file:// url, layout/base/crashtests/414058-1.html
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274775242.1274776021.2070.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/25 01:14:02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274884266.1274884929.26769.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/26 07:31:06
s: win32-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274997917.1274998697.4305.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/27 15:05:17
s: win32-slave31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275077330.1275077941.17100.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/28 13:08:50
s: win32-slave25
blocking 1.9.3 final+
blocking2.0: ? → final+
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275240890.1275241706.1286.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/05/30 10:34:50
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275427012.1275427770.1241.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/01 14:16:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefo/1275475757.1275476387.12502.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/02 03:49:17
s: win32-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275524179.1275524919.29524.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/02 17:16:19
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275693404.1275694045.21034.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/04 16:16:44
s: win32-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1275758134.1275758858.14020.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/05 10:15:34
s: win32-slave30
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276059773.1276060447.8428.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/08 22:02:53
s: win32-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276105869.1276106597.29864.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/09 10:51:09
s: win32-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276296508.1276297270.8918.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/11 15:48:28
s: win32-slave35
bz, comment 57 seems to blame XBL.
Could be... I have no idea offhand.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276476352.1276477009.24490.gz&fulltext=1
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/13 17:45:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276545155.1276545938.11028.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/14 12:52:35
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276634227.1276635050.25920.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/15 13:37:07
s: win32-slave36
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276784242.1276785486.24908.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/17 07:17:22
s: win32-slave47
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277778325.1277779659.31951.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/28 19:25:25
s: win32-slave55
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1277926498.1277927933.20736.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/06/30 12:34:58
s: win32-slave58
One way to approach this is to fix fuzz leak bugs, which have testcases:
* "Large leak" fuzz bugs (bug 593541, bug 551631, bug 600933)
* "XBL leak" fuzz bugs (bug 588226, bug 580140, bug 509547)

Or maybe we can just call it WFM since the we haven't starred any oranges as this bug since July?
I don't know if we're suddenly leaking a lot less, or suddenly became precise with our starring, but either way, let's call this WFM.

We did get at least somewhat more precise with our starring: comment 57 indicates some of the logs were bug 602100.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange][notacrash] → [notacrash]
You need to log in before you can comment on or make changes to this bug.